Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Common.css

MediaWiki interface page
Revision as of 19:44, 24 April 2026 by WinterLampost (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/*/════════════════════════════════════════════════════════════════════════════════

     	COMMON.CSS
This CSS contains baseline styling such as fonts and UI applying to base styles that 
may be tweaked with other CSS styles. Most multi-page styling is found on Citizen.css.
Styling for templates and modules will be located at <name>/styles.css, 
MediaWiki:Gadget-Templates.css or MediaWiki:Gadget-Modules.css

════════════════════════════════════════════════════════════════════════════════/*/

@import url("/index.php?action=raw&ctype=text/css&title=MediaWiki:Gadget-Templates.css");
@import url("/index.php?action=raw&ctype=text/css&title=MediaWiki:Gadget-Modules.css");
@import url('https://fonts.googleapis.com/css2?family=Sofia&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,400..800;1,18..144,400..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Domine:wght@400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200');
@import url('https://fonts.googleapis.com/css2?family=Vend+Sans:ital,wght@0,300..700;1,300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Satisfy&display=swap');

textarea.ui-autocomplete-input {
    background-color: #fff !important;
    color: #000 !important;
}

.mw-ui-button.mw-ui-progressive:not(:disabled):hover {
    color: var(--color-inverted-primary);
    background-color: var(--color-progressive--hover);
    border-color: var(--color-progressive--hover);
}

.mw-ui-button:not(.mw-ui-icon-element) {
    min-height: 32px;
    min-width: 4em;
    max-width: 28.75em;
    padding: 5px 12px;
}

.mw-ui-button:not(:disabled) {
    transition-property: background-color,color,border-color,box-shadow;
    transition-duration: 100ms;
}

.mw-ui-button {
    font-weight: var(--font-weight-medium);
    border-radius: var(--border-radius-base);
    display: inline-block;
    box-sizing: border-box;
    margin: 0;
    border-width: 1px;
    border-style: solid;
    vertical-align: middle;
    font-family: inherit;
    font-size: 1em;
    line-height: 1.28571429em;
    text-align: center;
    -webkit-appearance: none;
}